# Build Environment
#
#  for MIRACLE LINUX V2.x or later:  %FHS 1
#  for Miracle Linux V1.x         :  %FHS 0
#  for RHL AS powerd by MIRACLE   :  %RHASML 1

%{!?FHS:%define FHS 0}
%{!?RHASML:%define RHASML 0}

%define _sysconfdir /etc
%define session_path /var/php

# HTML cgi-bin directory exists under
#
%if %{FHS}
%define contentdir /var/www
%define httpd_exec apache
%else
%define contentdir /home/httpd
%define httpd_exec nobody
%endif

# module directory
#
%define moduledir %{_libdir}/apache

# Language sets that we bundle with php
#
#%define manual_langs en pt_BR cs nl fr de hu it ja ko es tr
%define manual_langs en ja


# For those willing to recompile with Oracle libraries
# for the oracle extension
# (ie rpm --rebuild --define 'oracle 1' php4.1.1-x.src.rpm)
#
%{!?oracle8i:%define oracle8i 0}
%{!?oracle9i:%define oracle9i 0}
%{!?odbc:%define odbc 0}
%{!?libxml2:%define libxml2 0}
%{!?curl:%define curl 0}
%{!?pspell:%define pspell 0}

%if %{FHS} && %{RHASML}
%define odbc 1
%define oracle9i 1
%{!?ORACLE9iR1_HOME:%define ORACLE9iR1_HOME /opt/oracle/product/9.0.1}
%{!?ORACLE9iR2_HOME:%define ORACLE9iR2_HOME /opt/oracle/product/9.2.0}
%elseif %{FHS} && !%{RHASML}
%define oracle8i 1
%{!?ORACLE8i_HOME:%define ORACLE8i_HOME /u01/app/oracle/product/8.1.7}
%define oracle9i 1
%{!?ORACLE9iR1_HOME:%define ORACLE9iR1_HOME /opt/oracle/product/9.0.1}
%{!?ORACLE9iR2_HOME:%define ORACLE9iR2_HOME /opt/oracle/product/9.2.0}
%define oracle10g 1
%{!?ORACLE10g_HOME:%define ORACLE10g_HOME /opt/app/oracle/product/10.1.0/db_1}
%else
%define oracle8i 1
%{!?ORACLE8i_HOME:%define ORACLE8i_HOME /u01/app/oracle/product/8.1.7}
%endif


# RPM Informational headers
#
Summary: The PHP HTML-embedded scripting language. (PHP: Hypertext Preprocessor)
Summary(ja): PHP : HTML Ȥ߹ߥץȸ (PHP: Hypertext Preprocessor)
Name: php
Version: 4.3.3
Release: 13ml
License: The PHP License, version 2.02
Group: Development/Languages
URL: http://www.php.net/
Requires: apache


# The one true source and manuals
#
Source0: http://www.php.net/distributions/php-%{version}.tar.bz2
Source1: http://www.php.net/distributions/manual/php_manual_en.tar.bz2
#Source2: http://www.php.net/distributions/manual/php_manual_pt_BR.tar.bz2
#Source3: http://www.php.net/distributions/manual/php_manual_cs.tar.bz2
#Source4: http://www.php.net/distributions/manual/php_manual_nl.tar.bz2
#Source5: http://www.php.net/distributions/manual/php_manual_fr.tar.bz2
#Source6: http://www.php.net/distributions/manual/php_manual_de.tar.bz2
#Source7: http://www.php.net/distributions/manual/php_manual_hu.tar.bz2
#Source8: http://www.php.net/distributions/manual/php_manual_it.tar.bz2
Source9: http://www.php.net/distributions/manual/php_manual_ja.tar.bz2
#Source10: http://www.php.net/distributions/manual/php_manual_ko.tar.bz2
#Source11: http://www.php.net/distributions/manual/php_manual_es.tar.bz2
#Source12: http://www.php.net/distributions/manual/php_manual_tr.tar.bz2
Source13: libdummy.c
Source14: php.ini-miracle

# httpd configuration file.
#
Source50: php.conf

# Patchs (current)
#
# Patch to get around a dumb assumption that size_t is always 4 bytes
# Patch0: php-4.2.1-64bit-iconv.patch
Patch1: php-4.3.2-buildcheck.patch

## add Oracle10g support for oci8 ##
Patch50: php-4.3.3-oci8-10g.patch

# Security Update
Patch100: php-4.3.7-CAN-2004-0594_0595.patch
Patch101: php-4.3.2-mpf-parser.patch
Patch102: php-4.3.2-vararray.patch
Patch103: php-4.3.2-CAN-2004-1018.patch
Patch104: php-4.3.2-CAN-2004-1019.patch
Patch105: php-4.3.2-CAN-2004-1065.patch
Patch106: php-4.3.11-global.patch
Patch107: php-4.3.2-CAN-2005-1921.patch
Patch108: php-4.3.2-CAN-2005-2498.patch
Patch109: php-4.3.9-CVE-2005-3389.patch
Patch110: php-4.3.3-CVE-2005-3390.patch
Patch111: php-4.3.9-CVE-2005-3388.patch
Patch112: php-4.3.9-CVE-2005-3353.patch
Patch113: php-4.3.9-CVE-2005-3883.patch
Patch114: php-4.3.9-CVE-2006-0208.patch
Patch115: php-4.3.9-CVE-2006-1490.patch
Patch116: php-4.3.9-CVE-2006-0996.patch
Patch118: php-4.3.9-CVE-2006-2657.patch
Patch119: php-4.3.9-CVE-2006-1494.patch
Patch120: php-4.3.9-CVE-2006-1990.patch
Patch121: php-4.3.9-CVE-2006-3016.patch
Patch122: php-4.3.9-CVE-2006-4020.patch
Patch123: php-4.3.9-CVE-2006-4482.patch
Patch124: php-4.3.2-CVE-2006-4486.patch
Patch125: php-4.3.9-CVE-2006-4484.patch
Patch126: php-4.3.9-CVE-2006-5465.patch
Patch127: php-4.3.9-CVE-2007-0906-imap.patch
Patch128: php-4.3.9-CVE-2007-0906-strreplace.patch
Patch129: php-4.3.9-CVE-2007-0907.patch
Patch130: php-4.3.9-CVE-2007-0908.patch
Patch131: php-4.3.2-CVE-2007-0909-odbc.patch
Patch132: php-4.3.9-CVE-2007-0909-printf.patch
Patch133: php-4.3.2-CVE-2007-0910.patch
Patch134: php-4.3.9-CVE-2007-0988.patch
Patch135: php-4.3.3-CVE-2007-1285.patch
Patch136: php-4.3.9-CVE-2007-1286.patch
Patch137: php-4.3.9-CVE-2007-1583.patch
Patch138: php-4.3.9-CVE-2007-1711.patch
Patch139: php-5.1.6-CVE-2007-0455.patch
Patch140: php-4.3.9-CVE-2007-1001.patch
Patch141: php-5.1.6-CVE-2007-1718.patch
Patch142: php-4.3.9-ftpcrlf.patch
Patch143: php-4.3.9-CVE-2007-2872.patch
Patch144: php-4.3.9-CVE-2007-3996.patch
Patch145: php-4.3.9-CVE-2007-4658.patch
Patch146: php-5.1.6-CVE-2007-2756.patch
Patch147: php-5.1.6-CVE-2007-3799.patch
Patch148: php-5.1.6-CVE-2007-3998.patch
Patch149: php-4.3.3-CVE-2007-4670.patch
Patch150: php-4.3.9-CVE-2008-2051.patch
Patch151: php-4.3.2-CVE-2007-5898.patch
Patch152: php-4.3.3-CVE-2007-5899.patch
Patch153: php-5.1.6-CVE-2008-210x.patch

# Where are we going to build the install set to?
#
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Kill off some old history that we no longer wish to see
#
Obsoletes: mod_php, php3, phpfi


# Ok, you wanna build it, you gotta have these packages around
#
BuildPrereq: apache-devel
BuildPrereq: gdbm-devel
BuildPrereq: imap-devel >= 2000-9
BuildPrereq: krb5-devel
BuildPrereq: mysql-devel
BuildPrereq: openssl-devel
BuildPrereq: postgresql-devel
BuildPrereq: pam-devel
BuildPrereq: freetype-devel >= 2.0.0
BuildPrereq: gd-devel
BuildPrereq: libjpeg-devel
BuildPrereq: libpng-devel
BuildPrereq: zlib-devel
%if %{odbc}
BuildPrereq: unixODBC-devel
%endif
%if %{pspell}
BuildPrereq: pspell-devel
%endif
%if %{curl}
BuildPrereq: curl-devel >= 7.9
%endif
BuildPrereq: bzip2
BuildPrereq: bzip2-devel >= 1.0
BuildPrereq: gmp-devel
BuildPrereq: expat-devel
BuildPrereq: ucd-snmp-devel
%if %{libxml2}
BuildPrereq: libxml2-devel >= 2.4
%endif
BuildPrereq: libstdc++-devel


%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache Web server to understand and process
the embedded PHP language in Web pages.


%package devel
Group: Development/Libraries
Summary: Files needed for building PHP extensions.


%description devel
The php-devel package contains the files needed for building PHP
extensions. If you need to compile your own PHP extensions, you will
need to install this package.


%package dbg
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl
Summary: A debugging extension for PHP. Provides hooks for dbg.


%description dbg
The DBG PHP Debugger is a comprehensive software tool that helps
in debugging your php scripts. This module by itself only provides
the hooks required by dbg to operate.


%package imap
Group: Development/Languages
Prereq: php = %{version}-%{release}, perl
Requires: pam
Obsoletes: mod_php3-imap
Summary: An Apache module for PHP applications that use IMAP.
BuildPrereq: imap-devel
BuildPrereq: krb5-devel


%description imap
The php-imap package contains a dynamic shared object (DSO) for the
Apache Web server. When compiled into Apache, the php-imap module will
add IMAP (Internet Message Access Protocol) support to PHP. IMAP is a
protocol for retrieving and uploading e-mail messages on mail
servers. PHP is an HTML-embedded scripting language. If you need IMAP
support for PHP applications, you will need to install this package
and the php package.


%package ldap
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Obsoletes: mod_php3-ldap
Summary: A module for PHP applications that use LDAP.
BuildPrereq: openldap-devel
Requires: openldap


%description ldap
The php-ldap package is a dynamic shared object (DSO) for the Apache
Web server that adds Lightweight Directory Access Protocol (LDAP)
support to PHP. LDAP is a set of protocols for accessing directory
services over the Internet. PHP is an HTML-embedded scripting
language. If you need LDAP support for PHP applications, you will
need to install this package in addition to the php package.


%package manual
Obsoletes: mod_php3-manual
Group: Documentation
Summary: The PHP manual, in HTML format.
Prereq: php = %{version}-%{release}


%description manual
The php-manual package provides comprehensive documentation for the
PHP HTML-embedded scripting language, in HTML format. PHP is an
HTML-embedded scripting language.


%package mysql
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A module for PHP applications that use MySQL databases.
Provides: php_database
Obsoletes: mod_php3-mysql
BuildPrereq: mysql-devel
Requires: mysql


%description mysql
The php-mysql package contains a dynamic shared object that will add
MySQL database support to PHP. MySQL is an object-relational database
management system. PHP is an HTML-embeddable scripting language. If
you need MySQL support for PHP applications, you will need to install
this package and the php or mod_php package.


%package pgsql
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A PostgreSQL database module for PHP.
Provides: php_database
Obsoletes: mod_php3-pgsql
BuildPrereq: postgresql-devel
Requires: postgresql


%description pgsql
The php-pgsql package includes a dynamic shared object (DSO) that can
be compiled in to the Apache Web server to add PostgreSQL database
support to PHP. PostgreSQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an
HTML-embedded scripting language. If you need back-end support for
PostgreSQL, you should install this package in addition to the main
php package.


%if %{odbc}
%package odbc
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A module for PHP applications that use ODBC databases.
Provides: php_database
BuildPrereq: unixODBC-devel
Requires: unixODBC


%description odbc
The php-odbc package contains a dynamic shared object that will add
database support through ODBC to PHP. ODBC is an open specification
which provides a consistent API for developers to use for accessing
data sources (which are often, but not always, databases). PHP is an
HTML-embeddable scripting language. If you need ODBC support for PHP
applications, you will need to install this package and the php
package.
%endif


%if %{oracle8i}
%package oracle-8i
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A module for PHP applications that use OCI8 databases.
Provides: php_database
Conflicts: php-oracle-9i, php-oracle9iR1, php-oracle9iR2, php-oracle-10g
Obsoletes: php-oracle, php-oci8


%description oracle-8i
The php-oracle-8i package contains a dynamic shared object that will add
support for accessing OCI8 databases to PHP.
for Oracle 8i only.
%endif


%if %{oracle9i}
%package oracle-9iR1
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A module for PHP applications that use OCI8 databases.
Provides: php_database
Conflicts: php-oracle-8i, php-oracle-9iR2, php-oracle-10g
Obsoletes: php-oracle, php-oci8, php-oracle-9i


%description oracle-9iR1
The php-oracle-9i package contains a dynamic shared object that will add
support for accessing OCI8 databases to PHP.
for Oracle 9i Release1 only.
%endif

%if %{oracle9i}
%package oracle-9iR2
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A module for PHP applications that use OCI8 databases.
Provides: php_database
Conflicts: php-oracle-8i, php-oracle-9iR1, php-oracle-10g
Obsoletes: php-oracle, php-oci8, php-oracle-9i


%description oracle-9iR2
The php-oracle-9i package contains a dynamic shared object that will add
support for accessing OCI8 databases to PHP.
for Oracle 9i Release2 only.
%endif


%if %{oracle10g}
%package oracle-10g
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A module for PHP applications that use OCI8 databases.
Provides: php_database
Conflicts: php-oracle-8i, php-oracle-9iR1, php-oracle9iR2
Obsoletes: php-oracle, php-oci8, php-oracle-9i


%description oracle-10g
The php-oracle-10g package contains a dynamic shared object that will add
support for accessing OCI8 databases to PHP.
for Oracle 10g only.
%endif

%package snmp
Group: Development/Languages
Prereq: php = %{version}-%{release}
Prereq: perl
Summary: A module for PHP applications that query SNMP-managed devices.
BuildPrereq: ucd-snmp-devel


%description snmp
The php-snmp package contains a dynamic shared object that will add
support for querying SNMP devices to PHP.  PHP is an HTML-embeddable
scripting language. If you need SNMP support for PHP applications, you
will need to install this package and the php package.


%prep

%setup -q

# Weld the patchs into the main source
#
# %patch0 -p1
%patch1 -p1 -b .bchk
%patch50 -p1 -b .10g
%patch100 -p1 -b .can20040594_0595
%patch101 -p1 -b .mpf-parser
%patch102 -p1 -b .vararray
%patch103 -p1 -b .can1018
%patch104 -p1 -b .can1019
%patch105 -p1 -b .can1065
#%patch106 -p1 -b .global
%patch109 -p1 -b .cve3389
%patch110 -p0 -b .cve3390
%patch111 -p1 -b .cve3388
%patch112 -p1 -b .cve3353
%patch113 -p1 -b .cve3883
%patch114 -p1 -b .cve0208
%patch115 -p1 -b .cve1490
%patch116 -p1 -b .cve0996
%patch118 -p1 -b .cve2657
%patch119 -p1 -b .cve1494
%patch120 -p1 -b .cve1990
%patch121 -p1 -b .cve3016
%patch122 -p1 -b .cve4020
%patch123 -p1 -b .cve4482
%patch124 -p1 -b .cve4486
%patch125 -p1 -b .cve4484
%patch126 -p1 -b .cve5465
%patch127 -p1 -b .cve0906-imap
%patch128 -p1 -b .cve0906-strreplace
%patch129 -p1 -b .cve0907
%patch130 -p1 -b .cve0908
%patch131 -p1 -b .cve0909-odbc
%patch132 -p1 -b .cve0909-printf
%patch133 -p1 -b .cve0910
%patch134 -p1 -b .cve0988
%patch135 -p1 -b .cve1285
%patch136 -p1 -b .cve1286
%patch137 -p1 -b .cve1583
%patch138 -p1 -b .cve1711
%patch139 -p1 -b .cve0455
%patch140 -p1 -b .cve1001
%patch141 -p1 -b .cve1718 
%patch142 -p1 -b .ftpcrlf
%patch143 -p1 -b .cve2872
%patch144 -p1 -b .cve3996
%patch145 -p1 -b .cve4658
%patch146 -p1 -b .cve2756
%patch147 -p1 -b .cve3799
%patch148 -p1 -b .cve3998
%patch149 -p1 -b .cve4670
%patch150 -p1 -b .cve2051
%patch151 -p1 -b .cve5898
%patch152 -p1 -b .cve5899
%patch153 -p1 -b .cve210x

# %doc gets confused about LICENSE & Zend/LICENSE
# lets just help it out,...
#
cp Zend/LICENSE Zend/ZEND_LICENSE


# We build php (normal cgi, apache_module)
# Need some spare directories for to do that
#
mkdir build-cgi
mkdir build-apache

%define pear_xmlrpc_tar pear/packages/XML_RPC-1.0.4.tar

# Untar, patch, then retar the XML-RPC package
mkdir pkgtempdir
pushd pkgtempdir
 tar -xvf ../%{pear_xmlrpc_tar}
%patch107 -p0
%patch108 -p0
 tar -cvf ../%{pear_xmlrpc_tar} .
popd
rm -rf pkgtempdir


# for multibyte script encoding
#   the header file in Zend privents a expanded header file
#   in the build directory by bison from enabling
#   because of the highest priority in search
# rm -f Zend/zend_language_parser.h

%build

# Add -fPIC to RPM_OPT_FLAGS.
#
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS

# Add the Kerberos library path to the default LDFLAGS so that the IMAP checks
# will be able to find the GSSAPI libraries.
#
LDFLAGS="-L/usr/kerberos/lib"; export LDFLAGS


# Configure may or may not catch these (mostly second-order) dependencies.
#
LIBS="-lpthread -lttf -lfreetype -lpng -ljpeg -lz -lnsl"; export LIBS


# This causes the shared extension modules to be installed into %{_libdir}/php4.
#
EXTENSION_DIR=%{_libdir}/php4; export EXTENSION_DIR


# This pulls the static /usr/lib/libc-client.a into the IMAP extension module.
#
IMAP_SHARED_LIBADD=-lc-client ; export IMAP_SHARED_LIBADD

# Umm yes better get buildconf running
# the dbg extension needs this run before it can be made
# part of the build. Just pray that autoconf doesn't
# croak and generate bad (f)lex tests.
#
./buildconf --force


# Shell function to configure and build a PHP tree.
#
build() {
ln -sf ../configure
%configure \
	--prefix=%{_prefix} \
	--with-config-file-path=%{_sysconfdir} \
	--disable-debug \
	--enable-dbg=shared \
	--with-dbg-profiler \
	--enable-pic \
	--disable-rpath \
	--enable-inline-optimization \
	--with-bz2 \
	--with-db3 \
%if %{curl}
	--with-curl \
%endif
%if %{libxml2}
	--with-dom=%{_prefix} \
%endif
	--with-exec-dir=%{_bindir} \
	--with-freetype-dir=%{_prefix} \
	--with-png-dir=%{_prefix} \
	--with-gd \
	--enable-gd-native-ttf \
	--with-ttf \
	--with-gdbm \
	--with-gettext \
	--with-ncurses \
	--with-gmp \
	--with-iconv \
	--with-jpeg-dir=%{_prefix} \
	--with-openssl \
	--with-png \
	--without-pspell \
	--with-regex=system \
	--with-xml \
	--with-expat-dir=%{_prefix} \
	--with-zlib \
	--with-layout=GNU \
	--enable-bcmath \
	--enable-debugger \
	--enable-exif \
	--enable-ftp \
	--enable-magic-quotes \
	--enable-safe-mode \
	--enable-sysvsem \
	--enable-sysvshm \
	--enable-discard-path \
	--enable-track-vars \
	--enable-trans-sid \
	--enable-yp \
	--enable-wddx \
	--with-imap=shared \
	--with-imap-ssl \
	--with-kerberos=/usr/kerberos \
	--with-ldap=shared \
	--with-mysql=shared,%{_prefix} \
	--with-pgsql=shared \
	--with-snmp=shared,%{_prefix} \
	--enable-ucd-snmp-hack \
%if %{odbc}
	--with-unixODBC=shared \
%endif
	--enable-memory-limit \
	--enable-bcmath \
	--enable-shmop \
	--enable-versioning \
	--enable-calendar \
	--enable-dbx \
	--enable-dio \
	--enable-mcal \
	--enable-sockets \
	--enable-mbstring=ja \
	--enable-mbregex \
	--enable-zend-multibyte \
	$*


# Fixup the config_vars to not include the '-a' on lines which call apxs.
# DoNotUse from 4.3.1 by tonoki.
#cat config_vars.mk > config_vars.mk.old
#awk '/^INSTALL_IT.*apxs.*-a -n/ {sub("-a -n ","-n ");} {print $0;}' \
#	config_vars.mk.old > config_vars.mk

make
}

# First, build a CGI tree. Remember that nice handy build() { ... } above?
#
pushd build-cgi
build \
	--enable-force-cgi-redirect \
	--disable-cli
popd

# Second, build an Apache tree.
#
pushd build-apache

# Oracle9i Relase1 module
# Add the buildroot location to the front of the libexecdir.
# Again use the build() call
#
cp -r ../ext/oci8 ../ext/oci8.back
build \
%if %{oracle9i}
	--with-oci8=shared,%{ORACLE9iR1_HOME} \
%endif
	--with-apxs=%{_sbindir}/apxs

%if %{oracle9i}
mv modules/oci8.so modules/oci9r1.so
%endif

# Oracle9i Relase2 module
# Add the buildroot location to the front of the libexecdir.
# Again use the build() call
#
rm -rf ../ext/oci8
cp -r ../ext/oci8.back ../ext/oci8
build \
%if %{oracle9i}
        --with-oci8=shared,%{ORACLE9iR2_HOME} \
%endif
        --with-apxs=%{_sbindir}/apxs

%if %{oracle9i}
mv modules/oci8.so modules/oci9r2.so
%endif


# Oracle10g module
# Add the buildroot location to the front of the libexecdir.
# Again use the build() call
#
rm -rf ../ext/oci8
cp -r ../ext/oci8.back ../ext/oci8
build \
%if %{oracle10g}
        --with-oci8=shared,%{ORACLE10g_HOME} \
%endif
        --with-apxs=%{_sbindir}/apxs

%if %{oracle10g}
mv modules/oci8.so modules/oci10g.so
%endif


%if %{oracle8i}
# *******************
#   for Oracle8i
# *******************

%if %{oracle9i}
#mv ext/oci8 ext/oci9
#mkdir ext/oci8
# cp -p ext/oci9/.libs ext/oci8
rm -rf ../ext/oci8
cp -r ../ext/oci8.back ../ext/oci8
%endif

build \
	--with-oci8=shared,%{ORACLE8i_HOME} \
	--with-apxs=%{_sbindir}/apxs

mv modules/oci8.so modules/oci817.so

%endif

popd


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# ###1st install CGI###
# First, install the CGI tree.
#
# comment by tonoki
# see 3rd
# to avoide cli binary overwrite cgi binary.
# pushd build-cgi
# make install INSTALL_ROOT=$RPM_BUILD_ROOT 
# popd

# ls -l $RPM_BUILD_ROOT/usr/lib/php4

# ###2nd, install apache module###
# Second, install the Apache tree.  Note that this overwrites the modules which
# were installed as part of the CGI build.  Lucky for us they're compatible.
#
pushd build-apache
make install INSTALL_ROOT=$RPM_BUILD_ROOT INSTALL_IT="echo "

%if %{oracle8i}
mkdir -p $RPM_BUILD_ROOT/usr/lib/
gcc -shared -Wl,-soname,libclntsh.so.8.0 %{SOURCE13} -o $RPM_BUILD_ROOT/usr/lib/libclntsh.so.8.0
gcc -shared -Wl,-soname,libwtc8.so %{SOURCE13} -o $RPM_BUILD_ROOT/usr/lib/libwtc8.so
touch $RPM_BUILD_ROOT/usr/lib/php4/oci8.so
%endif

%if %{oracle9i}
mkdir -p $RPM_BUILD_ROOT/usr/lib/
gcc -shared -Wl,-soname,libclntsh.so.9.0 %{SOURCE13} -o $RPM_BUILD_ROOT/usr/lib/libclntsh.so.9.0
gcc -shared -Wl,-soname,libwtc9.so %{SOURCE13} -o $RPM_BUILD_ROOT/usr/lib/libwtc9.so
touch $RPM_BUILD_ROOT/usr/lib/php4/oci8.so
%endif

%if %{oracle10g}
mkdir -p $RPM_BUILD_ROOT/usr/lib/
gcc -shared -Wl,-soname,libclntsh.so.10.1 %{SOURCE13} -o $RPM_BUILD_ROOT/usr/lib/libclntsh.so.10.1
gcc -shared -Wl,-soname,libnnz10.so %{SOURCE13} -o $RPM_BUILD_ROOT/usr/lib/libnnz10.so
touch $RPM_BUILD_ROOT/usr/lib/php4/oci8.so
%endif

## rename cli binary to php-cli.
## to avoide overwrite cli binary. 
mv $RPM_BUILD_ROOT/usr/bin/php $RPM_BUILD_ROOT/usr/bin/php-cli

popd

# ###3rd, install cgi###
# this written by tonoki
# 
pushd build-cgi
make install INSTALL_ROOT=$RPM_BUILD_ROOT
popd

# Install the default configuration file and some icons which can be used to
# indicate that this site uses PHP.
#
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/
install -m 644    %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/php.ini
install -m 755 -d $RPM_BUILD_ROOT%{contentdir}/icons
install -m 644    *.gif $RPM_BUILD_ROOT%{contentdir}/icons/


# Gurrrr @!!$#? apxs/buildroot mess
#
install -m 755 -d $RPM_BUILD_ROOT%{moduledir}
install -m 755 build-apache/libs/libphp4.so $RPM_BUILD_ROOT%{moduledir}

# Manuals -- we'll place English (en) in the location where the only version
# of the manual was before, and langify the rest.
for lang in %{manual_langs} ; do
	if test x${lang} = xen ; then
		target_lang=""
	else
		target_lang=${lang}
	fi
	mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_php4/${target_lang}
	bzip2 -dc $RPM_SOURCE_DIR/php_manual_${lang}.tar.bz2 | tar -x -C $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_php4/${target_lang} -f -
done

# if [ -d $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_php4/ja ]; then
#	pushd $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_php4/ja
#	patch -p0 < %{PATCH5}
#	popd
# fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
	%defattr(-,root,root)
	%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README*
	%doc Zend/ZEND_*
	%config(noreplace) %{_sysconfdir}/php.ini
	%{_bindir}/php
	%{_bindir}/php-cli
	%{_datadir}/pear
	%{moduledir}/libphp4.so

%post
perl -pi -e 's|#AddType application/x-httpd-php .php|AddType application/x-httpd-php .php|g' /etc/httpd/conf/httpd.conf
perl -pi -e 's|#AddType application/x-httpd-php-source .phps|AddType application/x-httpd-php-source .phps|g' /etc/httpd/conf/httpd.conf
mv -f %{_libdir}/apache/libphp4.so /tmp/libphp4.so
/usr/sbin/apxs -i -a -n "php4" /tmp/libphp4.so > /dev/null 2>&1
rm -f /tmp/libphp4.so
# remove php3
perl -pi -e 's|^    AddType application/x-httpd-php3|    #AddType application/x-httpd-php3|g' /etc/httpd/conf/httpd.conf
cat /etc/httpd/conf/httpd.conf \
 | grep -v "LoadModule php3_module" \
 | grep -v "AddModule mod_php3.c" \
 > /etc/httpd/conf/httpd.conf.fixed
mv /etc/httpd/conf/httpd.conf.fixed /etc/httpd/conf/httpd.conf
# session path
if [ ! -d %{session_path} ] ; then
  if [ -f %{session_path} ] ; then
    echo "move %{session_path} to %{session_path}.save for php session.save_path"
    mv %{session_path} %{session_path}.save
  fi
  mkdir %{session_path}
  chown %{httpd_exec}: %{session_path}
  chmod 300 %{session_path}
fi

/sbin/ldconfig

%triggerin -- apache
perl -pi -e 's|#AddType application/x-httpd-php .php|AddType application/x-httpd-php .php|g' /etc/httpd/conf/httpd.conf
perl -pi -e 's|#AddType application/x-httpd-php-source .phps|AddType application/x-httpd-php-source .phps|g' /etc/httpd/conf/httpd.conf
mv -f %{_libdir}/apache/libphp4.so /tmp/libphp4.so
/usr/sbin/apxs -i -a -n "php4" /tmp/libphp4.so > /dev/null 2>&1
rm -f /tmp/libphp4.so
# remove php3
perl -pi -e 's|^    AddType application/x-httpd-php3|    #AddType application/x-httpd-php3|g' /etc/httpd/conf/httpd.conf
cat /etc/httpd/conf/httpd.conf \
 | grep -v "LoadModule php3_module" \
 | grep -v "AddModule mod_php3.c" \
 > /etc/httpd/conf/httpd.conf.fixed
mv /etc/httpd/conf/httpd.conf.fixed /etc/httpd/conf/httpd.conf


%postun
if [ $1 = 0 ] ; then
        perl -pi -e 's|AddType application/x-httpd-php .php|#AddType application/x-httpd-php .php|g' /etc/httpd/conf/httpd.conf
        perl -pi -e 's|AddType application/x-httpd-php-source .phps|#AddType application/x-httpd-php-source .phps|g' /etc/httpd/conf/httpd.conf
        cat /etc/httpd/conf/httpd.conf \
        | grep -v "LoadModule php4_module" \
        | grep -v "AddModule mod_php4.c" \
        > /etc/httpd/conf/httpd.conf.fixed
        mv /etc/httpd/conf/httpd.conf.fixed /etc/httpd/conf/httpd.conf
fi

/sbin/ldconfig


%files devel
	%defattr(-,root,root)
	%{_bindir}/pear
	%{_bindir}/php-config
	%{_bindir}/phpize
	%{_bindir}/phpextdist
	%{_includedir}/php
	%{_libdir}/php

# From here on in we need to make php-(extension) alter the php.ini
# file to activate usage of each module in installation and deactivation
# on removal. We'll do this using perl.
# Just to make things annoying, upstream has decided to change the default
# file extensions from .so to .dll .. <mutter>...
#

################################################################################
# dbg ##########################################################################
#
#%files dbg
#	%defattr(-,root,root)
#	%{_libdir}/php4/dbg.so
#
#
#%post dbg
#	%{__perl} -pi -e "s|^;extension=php_dbg.so|extension=dbg.so|" %{_sysconfdir}/php.ini
#	%{__perl} -pi -e "s|^;extension=php_dbg.dll|extension=dbg.so|" %{_sysconfdir}/php.ini
#
#
#%preun dbg
#	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
#	  %{__perl} -pi -e "s|^extension=dbg.so|;extension=dbg.so|" %{_sysconfdir}/php.ini
#	fi


################################################################################
# pgsql ########################################################################
#
%files pgsql
	%defattr(-,root,root)
	%{_libdir}/php4/pgsql.so

%post pgsql
	%{__perl} -pi -e "s|^;extension=pgsql.so|extension=pgsql.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_pgsql.dll|extension=pgsql.so|" %{_sysconfdir}/php.ini


%preun pgsql
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=pgsql.so|;extension=pgsql.so|" %{_sysconfdir}/php.ini
	fi

################################################################################
# mysql ########################################################################
#
%files mysql
	%defattr(-,root,root)
	%{_libdir}/php4/mysql.so


%post mysql
	if %{__grep} -q "extension=mysql.so" %{_sysconfdir}/php.ini; then
		%{__perl} -pi -e "s|^;extension=mysql.so|extension=mysql.so|" %{_sysconfdir}/php.ini
	else
		%{__perl} -pi -e "s|^;extension=php_mysql.dll|;extension=php_mysql.dll\nextension=mysql.so|" %{_sysconfdir}/php.ini
	fi

%preun mysql
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=mysql.so|;extension=mysql.so|" %{_sysconfdir}/php.ini
	fi

################################################################################
# odbc #########################################################################
#
%if %{odbc}
%files odbc
	%defattr(-,root,root)
	%{_libdir}/php4/odbc.so


%post odbc
	if %{__grep} -q "extension=odbc.so" %{_sysconfdir}/php.ini; then
		%{__perl} -pi -e "s|^;extension=odbc.so|extension=odbc.so|" %{_sysconfdir}/php.ini
	else
		%{__perl} -pi -e "s|^;extension=php_odbc.dll|;extension=php_odbc.dll\nextension=odbc.so|" %{_sysconfdir}/php.ini
	fi

%preun odbc
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=odbc.so|;extension=odbc.so|" %{_sysconfdir}/php.ini
	fi
%endif

################################################################################
# oracle8i #####################################################################
#
%if %{oracle8i}
%files oracle-8i
	%defattr(-,root,root)
	%{_libdir}/php4/oci817.so
	%{_libdir}/libclntsh.so.8.0
	%{_libdir}/libwtc8.so
%ghost %{_libdir}/php4/oci8.so

%post oracle-8i
	%{__perl} -pi -e "s|^;extension=oci8.so|extension=oci8.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_oci8.dll|extension=oci8.so|" %{_sysconfdir}/php.ini
	rm -f %{_libdir}/libclntsh.so.8.0 %{_libdir}/libwtc8.so
	mv %{_libdir}/php4/oci817.so %{_libdir}/php4/oci8.so


%preun oracle-8i
	if [ $1 = 0 ] ; then
	  if [ -f %{_sysconfdir}/php.ini ] ; then
	    %{__perl} -pi -e "s|^extension=oci8.so|;extension=oci8.so|" %{_sysconfdir}/php.ini
	  fi
	  if [ ! -f %{_libdir}/libclntsh.so.8.0 ] ; then
	    touch %{_libdir}/libclntsh.so.8.0
	  fi
	  if [ ! -f %{_libdir}/libwtc8.so ] ; then
	    touch %{_libdir}/libwtc8.so
	  fi
	  touch %{_libdir}/php4/oci817.so
	fi
%endif

################################################################################
# oracle9iR1 ###################################################################
#
%if %{oracle9i}
%files oracle-9iR1
	%defattr(-,root,root)
	%{_libdir}/php4/oci9r1.so
	%{_libdir}/libclntsh.so.9.0
	%{_libdir}/libwtc9.so
%ghost %{_libdir}/php4/oci8.so

%post oracle-9iR1
	%{__perl} -pi -e "s|^;extension=oci8.so|extension=oci8.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_oci8.dll|extension=oci8.so|" %{_sysconfdir}/php.ini
	rm -f %{_libdir}/libclntsh.so.9.0 %{_libdir}/libwtc9.so
	mv %{_libdir}/php4/oci9r1.so %{_libdir}/php4/oci8.so


%preun oracle-9iR1
	if [ $1 = 0 ] ; then
	  if [ -f %{_sysconfdir}/php.ini ] ; then
	    %{__perl} -pi -e "s|^extension=oci8.so|;extension=oci8.so|" %{_sysconfdir}/php.ini
	  fi
	  if [ ! -f %{_libdir}/libclntsh.so.9.0 ] ; then
	    touch %{_libdir}/libclntsh.so.9.0
	  fi
	  if [ ! -f %{_libdir}/libwtc9.so ] ; then
	    touch %{_libdir}/libwtc9.so
	  fi
	  touch %{_libdir}/php4/oci9r1.so
	fi
%endif

################################################################################
# oracle9iR2 ###################################################################
#
%if %{oracle9i}
%files oracle-9iR2
        %defattr(-,root,root)
        %{_libdir}/php4/oci9r2.so
        %{_libdir}/libclntsh.so.9.0
        %{_libdir}/libwtc9.so
%ghost %{_libdir}/php4/oci8.so

%post oracle-9iR2
        %{__perl} -pi -e "s|^;extension=oci8.so|extension=oci8.so|" %{_sysconfdir}/php.ini
        %{__perl} -pi -e "s|^;extension=php_oci8.dll|extension=oci8.so|" %{_sysconfdir}/php.ini
        rm -f %{_libdir}/libclntsh.so.9.0 %{_libdir}/libwtc9.so
        mv %{_libdir}/php4/oci9r2.so %{_libdir}/php4/oci8.so


%preun oracle-9iR2
        if [ $1 = 0 ] ; then
          if [ -f %{_sysconfdir}/php.ini ] ; then
            %{__perl} -pi -e "s|^extension=oci8.so|;extension=oci8.so|" %{_sysconfdir}/php.ini
          fi
          if [ ! -f %{_libdir}/libclntsh.so.9.0 ] ; then
            touch %{_libdir}/libclntsh.so.9.0
          fi
          if [ ! -f %{_libdir}/libwtc9.so ] ; then
            touch %{_libdir}/libwtc9.so
          fi
          touch %{_libdir}/php4/oci9r2.so
        fi
%endif


################################################################################
# oracle10g  ###################################################################
#
%if %{oracle10g}
%files oracle-10g
        %defattr(-,root,root)
        %{_libdir}/php4/oci10g.so
        %{_libdir}/libclntsh.so.10.1
	%{_libdir}/libnnz10.so
%ghost %{_libdir}/php4/oci8.so

%post oracle-10g
        %{__perl} -pi -e "s|^;extension=oci8.so|extension=oci8.so|" %{_sysconfdir}/php.ini
        %{__perl} -pi -e "s|^;extension=php_oci8.dll|extension=oci8.so|" %{_sysconfdir}/php.ini
        rm -f %{_libdir}/libclntsh.so.10.1
        mv %{_libdir}/php4/oci10g.so %{_libdir}/php4/oci8.so


%preun oracle-10g
        if [ $1 = 0 ] ; then
          if [ -f %{_sysconfdir}/php.ini ] ; then
            %{__perl} -pi -e "s|^extension=oci8.so|;extension=oci8.so|" %{_sysconfdir}/php.ini
          fi
          if [ ! -f %{_libdir}/libclntsh.so.10.1 ] ; then
            touch %{_libdir}/libclntsh.so.10.1
          fi
          if [ ! -f %{_libdir}/libnnz10.so ] ; then
            touch %{_libdir}/libnnz10.so
          fi
          touch %{_libdir}/php4/oci10g.so
        fi
%endif


################################################################################
# imap #########################################################################
#
%files imap
	%defattr(-,root,root)
	%{_libdir}/php4/imap.so


%post imap
	%{__perl} -pi -e "s|^;extension=imap.so|extension=imap.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_imap.dll|extension=imap.so|" %{_sysconfdir}/php.ini


%preun imap
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=imap.so|;extension=imap.so|" %{_sysconfdir}/php.ini
	fi

################################################################################
# ldap #########################################################################
#
%files ldap
	%defattr(-,root,root)
	%{_libdir}/php4/ldap.so


%post ldap
	%{__perl} -pi -e "s|^;extension=ldap.so|extension=ldap.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_ldap.dll|extension=ldap.so|" %{_sysconfdir}/php.ini


%preun ldap
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=ldap.so|;extension=ldap.so|" %{_sysconfdir}/php.ini
	fi

################################################################################
# snmp #########################################################################
#
%files snmp
	%defattr(-,root,root)
	%{_libdir}/php4/snmp.so


%post snmp
	%{__perl} -pi -e "s|^;extension=snmp.so|extension=snmp.so|" %{_sysconfdir}/php.ini
	%{__perl} -pi -e "s|^;extension=php_snmp.dll|extension=snmp.so|" %{_sysconfdir}/php.ini


%preun snmp
	if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
	  %{__perl} -pi -e "s|^extension=snmp.so|;extension=snmp.so|" %{_sysconfdir}/php.ini
	fi
################################################################################


%files manual
	%defattr(-,root,root)
	%{contentdir}/icons/*
	%dir %{contentdir}/html/manual/mod/mod_php4/
	%{contentdir}/html/manual/mod/mod_php4/*.html
#	%lang(cs) %{contentdir}/html/manual/mod/mod_php4/cs
#	%lang(de) %{contentdir}/html/manual/mod/mod_php4/de
#	%lang(es) %{contentdir}/html/manual/mod/mod_php4/es
#	%lang(fr) %{contentdir}/html/manual/mod/mod_php4/fr
#	%lang(hu) %{contentdir}/html/manual/mod/mod_php4/hu
#	%lang(it) %{contentdir}/html/manual/mod/mod_php4/it
	%lang(ja) %{contentdir}/html/manual/mod/mod_php4/ja
#	%lang(ko) %{contentdir}/html/manual/mod/mod_php4/ko
#	%lang(nl) %{contentdir}/html/manual/mod/mod_php4/nl
#	%lang(pt) %{contentdir}/html/manual/mod/mod_php4/pt_BR
#	%lang(tr) %{contentdir}/html/manual/mod/mod_php4/tr


%changelog
* Tue Jul 22 2008 Ryoji Kamei <kamei@miraclelinux.com> 4.3.3-13ml
- fix security issues
- CVE-2007-5898/CVE-2007-5899/CVE-2008-2051/CVE-2008-2107/
- CVE-2008-2108

* Wed Sep 26 2007 Ryoji Kamei <kamei@miraclelinux.com> 4.3.3-12ml
- fix security issues
- CVE-2007-2509/CVE-2007-2756/CVE-2007-2872/CVE-2007-3799/
- CVE-2007-3996/CVE-2007-3998/CVE-2007-4658/CVE-2007-4670

* Tue May  8 2007 Ryoji Kamei <kamei@miraclelinux.com> 4.3.3-11ml
- fix security issues
- CVE-2007-0455/CVE-2007-0906/CVE-2007-0907/CVE-2007-0908/
- CVE-2007-0909/CVE-2007-0910/CVE-2007-0988/CVE-2007-1001/
- CVE-2007-1285/CVE-2007-1286/CVE-2007-1583/CVE-2007-1711/
- CVE-2007-1718

* Tue Dec 19 2006 Ryoji Kamei <kamei@miraclelinux.com> 4.3.3-10ml
- fix security issues
- CVE-2005-3883/CVE-2006-0208/CVE-2006-1490/CVE-2006-0996/
- CVE-2006-2657/CVE-2006-1494/CVE-2006-1990/CVE-2006-3016/
- CVE-2006-4020/CVE-2006-4482/CVE-2006-4486/CVE-2006-4484/
- CVE-2006-5465
- imap: add fix for overflow in imap_fetch_overview()

* Tue Dec 13 2005 Hiroshi Hara <hhara@miraclelinux.com> 4.3.3-9ml
- add security fixes CAN-2005-1921/2398, and
- CVE-2005-3389/3390/3388/3353

* Mon Nov  7 2005 Shiro Yamada <shiro@miraclelinux.com> 4.3.3-8ml
- apply fix for $GLOBALS variable overwrite vulnerability

* Wed Dec 22 2004 Masayuki Moriyama <moriyama@miraclelinux.com> 4.3.3-7ml
- add security fix for array variable parsing (CAN-2004-0958)
- add security fixes for multipart form parser (CAN-2004-0959)
- add security fixes from upstream
 * various unserializer fixes; updated to 4.3.10 code (CAN-2004-1019)
 * add fix for exif buffer overflow (CAN-2004-1065)
- shmop_write bounds checking and pack/unpack integer overflows
 (assigned CAN-2004-1018; only impact for malicious scripts)

* Fri Jul 16 2004 Masayuki Moriyama <moriyama@miraclelinux.com>
- applied security fixes for CAN-2004-0594 and CAN-2004-0595

* Fri Apr 16 2004 Daisuke Tonoki <tonoki@miraclelinux.com>
- add apache in Requires.

* Wed Apr 07 2004 Daisuke Tonoki <tonoki@miraclelinux.com>
- add 10g support.
- add oracle-10g sub package.

* Thu Oct 30 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- add enable-sockets.
- change http_output = SJIS to EUC-JP in php.ini.

* Fri Oct 10 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- update to 4.3.3.
- rebuild for PostgreSQL-7.3.4.

* Thu Aug 21 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- separate oci8 module resolv undefined symbol from libclntsh.so.9.0.
- oracle-9iR1 and oracle-9r2.
- add -lpthread for CLI and CGI

* Mon Jun 2 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- fix bug_id 23894 http://bugs.php.net/bug.php?id=23894
- reported in [PHP-users 15562].
- rename cli binary to php-cli.

* Fri May 30 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- 4.3.2 Release!.

* Fri May 16 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- update to 4.3.2RC3
- remove "enable-sockets" from configure.

* Mon Mar 3 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- upto 4.3.1
- some change in ./configure scripts

* Fri Jan 10 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- add php-4.2.3-string.patch for bug#21453 in wordwrap_func.

* Tue Nov 26 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- comment nested %if to avoid RHLAS build error.

* Thu Nov 21 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- add --enable-mbregex configure option

* Mon Nov 11 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- update to 4.2.3.
- add multibyte.patch.
- fix version 4.2.4-dev to 4.2.3.

* Mon Jul 29 2002  Noboru Higuchi <nhiguchi@miraclelinux.com> 4.2.2-1ml
- Security update 4.2.2
- change the order to build oracle-8i and oracle-9i
- add ghost tags and touch dummy files to prevent error messages
  in uninstallation
- fixed typos in Japanese online manual

* Sun Jun 30 2002  Noboru Higuchi <nhiguchi@miraclelinux.com> 4.2.1-3ml
- add multibyte script encoding patch
- add oracle-8i and oracle-9i instead of oci8

* Mon Jun 10 2002  Philip Copeland <bryce@redhat.com> 4.2.1-2
- Actually mm is now a dead project. Revoved permently.

* Tue May 28 2002 Gary Benson <gbenson@redhat.com> 4.2.1-2
- change paths for httpd-2.0
- add the config file
- disable mm temporarily

* Sun May 26 2002 Tim Powers <timp@redhat.com> 4.2.1-1
- automated rebuild

* Wed May 22 2002  Philip Copeland <bryce@redhat.com> 4.2.1-0
- Initial pristine build of php-4.2.1
- Minor patch to get around a 64 bitism
- Added in the dgb debugging hooks

===============================================================================
  Ditched the 4.1.1 sources for 4.2.1
===============================================================================

* Sun Apr 14 2002  Philip Copeland <bryce@redhat.com> 4.1.2-6
- %post for mysql has zlib in it?!? Bad cut/paste. Fixed.
- Added missing trigger entries to php.ini-dist
- Bumped release number.

* Sat Apr 13 2002  Philip Copeland <bryce@redhat.com> 4.1.2-6
- Oh joyous. buildconf doesn't correctly rebuild a
  configure script, consequently we get lex checking errors
  Strictly speaking this is autoconf's fault. Tweeked.

* Sun Apr 07 2002  Philip Copeland <bryce@redhat.com> 4.1.2-6
- Added in hook for the rather useful dbg addin
  http://dd.cron.ru/dbg/
  May not be able to provide a dbg rpm accomplyment
  to php for the official release but at least it'll
  make it easy to drop in at a later date.

* Mon Mar 25 2002  Philip Copeland <bryce@redhat.com> 4.1.2-5
- Accepted patches from Konstantin Riabitsev <icon@duke.edu>
  for the php.ini file which fix this damnable .dll/.so
  mess.
- Fixes for the modules. Every dll name is now prepended by php_,
  so the modules were NEVER enabled. Also, there is no longer
  php_mysql.dll or php_odbc.dll. Added workarounds for that.
- Jumped a number (-4) because of intresting after effects
  in the build system.

* Tue Mar 12 2002 Philip Copeland <bryce@redhat.com> 4.1.2-3
- Fix for crashing bug (#60855)

* Tue Mar 05 2002 Philip Copeland <bryce@redhat.com> 4.1.2-2
- Forgot the -with-png-dir=%{_prefix} config
  option (#55248)

* Mon Mar 04 2002 Philip Copeland <bryce@redhat.com> 4.1.2-2
- Minor patch for figuring out where the blasted
  mysql.sock named socket lives. (grumble)
- Added in --enable-exif. It's there for people who
  asked for it but I ain't supporting it if it
  breaks.
- Tweak the default php.ini file to turn off file upload by default
  and to tweak the default path for loadable modules

* Thu Feb 28 2002 Philip Copeland <bryce@redhat.com> 4.1.2-1
- Jumped to 4.1.2 for security...

* Wed Feb 13 2002 Philip Copeland <bryce@redhat.com> 4.1.1-4
- Added multibyte input/ouput support
  --enable-mbstring
  --enable-mbstr-enc-trans
- Added in a couple of BuildReq's
- Because db1,2,3 are ditched in the next RHAT release and only
  db4 exists, I've purposly NOT put in the db4-devel BuildReq
  as thers no way to differentiate this build for a 7.X and
  the new release.

* Fri Feb 08 2002 Philip Copeland <bryce@redhat.com> 4.1.1-3
- Added calendar, dbx, dio and mcal support into the build
  --enable-calendar
  --enable-dbx
  --enable-dio
  --enable-mcal

* Thu Feb 07 2002 Philip Copeland <bryce@redhat.com> 4.1.1-2
- Reformatted the spec file to be something more pretty to read
- Some wassak upstream changed the default php.ini file to
  winblows format (.dll) which broke the extension munching
  altered the post scripts to accomodate (#59195)
- Added in --enable-gd-native-ttf (#55199)

* Mon Jan 29 2002 Philip Copeland <bryce@redhat.com> 4.1.1-1
- Added in patch for DOM(xml)

* Mon Jan 28 2002 Philip Copeland <bryce@redhat.com> 4.1.1-0
- Rather than write a new spec file, borrowed the one from 4.0.6-13
  Initial build of 4.1.1 (note db2 is now obsoleted)
  Added --enable-memory-limit

===============================================================================
  Ditched the 4.0.x sources for 4.1.1
===============================================================================

* Wed Dec  5 2001 Philip Copeland <bryce@redhat.com> 4.0.6-13
- Minor tweak to the configure script to allow it to search fo the libxml
  installation in both */include/libxml/tree.h and
  include/libxml2/libxml/tree.h

* Tue Nov 20 2001 Nalin Dahyabhai <nalin@redhat.com> 4.0.6-12
- rebuild for Raw Hide, building snmp again

* Tue Nov 20 2001 Nalin Dahyabhai <nalin@redhat.com> 4.0.6-11
- don't build the snmp module
- don't activate the module for Apache when we install it into the buildroot

* Mon Nov 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- link the IMAP module with c-client.a

* Fri Nov 16 2001 Nalin Dahyabhai <nalin@redhat.com> 4.0.6-10
- use shared expat for XML support, add buildprereq on expat-devel
- update to latest manuals from the web site
- %{_datadir}/php -> %{_datadir}/pear
- miscellaneous cleanups

* Tue Nov 13 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove explicit dependency on krb5-libs

* Fri Nov  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- enable transparent session id support, configure freetype and gmp extensions
  (suggestion and patch Jason Costomiris)

* Mon Sep 17 2001 Tim Powers <timp@redhat.com> 4.0.6-9
- rebuilt against newer posgresql libs

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Mon Aug 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- add patch from pzb at scyld.com to fix the ZVAL_TRUE and ZVAL_FALSE macros
  (#52501)

* Fri Aug 17 2001 Nalin Dahyabhai <nalin@redhat.com>
- enable bzip2 extension
- enable curl extension
- enable use of mm
- clean up use of libtool (#51958)

* Fri Aug 10 2001 Tim Powers <timp@redhat.com>
- only english in php-manuals, space constraints

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- include %{_libdir}/%{name}/build instead of %{_libdir}/%{name}4/build (#51141)

* Mon Aug  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- add build deps on pam-devel, pspell-devel, gdbm-devel (#49878)
- add some conditional logic if %%{oracle} is defined (from Antony Nguyen)

* Mon Jul  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- don't obsolete subpackages we ended up not merging

* Mon Jul  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- cleanups
- add manuals in multiple languages (using ko instead of kr for Korean)
- merge all of the manuals into a single -manual subpackage
- use libtool to install binary files which libtool builds
- don't strip any binaries; let the buildroot policies take care of it

* Thu Jun 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.6 (preliminary)

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- enable ttf in the build because the gd support needs it
- add -lfreetype to the LIBS for the same reason

* Wed Jun  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Wed May 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- actually use two source trees to build things
- add %%post and %%postun scriptlets to run ldconfig

* Tue May 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- quote part of the AC_ADD_LIBRARY macro to make newer autoconf happy

* Mon May 14 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix error in %%install
- depend on the imap-devel which supplies linkage.c
- modify trigger to disable php versions less than 4.0.0 instead of 3.0.15
- enable DOM support via libxml2 (suggested by Sylvain Berg
- build the OpenSSL extension again

* Mon May  7 2001 Nalin Dahyabhai <nalin@redhat.com>
- enable pspell extensions
- update to 4.0.5

* Mon Apr 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- build the ODBC extension

* Mon Apr 30 2001 Bill Nottingham <notting@redhat.com>
- build on ia64

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Feb 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- obsolete the old phpfi (PHP 2.x) package

* Thu Feb  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- add a commented-out curl extension to the config file (part of #24933)
- fix the PEAR-installation-directory-not-being-eval'ed problem (#24938)
- find the right starting point for multipart form data (#24933)

* Tue Jan 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- aaarrgh, the fix breaks something else, aaarrgh; revert it (#24933)
- terminate variable names at the right place (#24933)

* Sat Jan 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak the fix some more

* Thu Jan 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- extract stas's fix for quoting problems from CVS for testing
- tweak the fix, ask the PHP folks about the tweak
- tweak the fix some more

* Wed Jan 17 2001 Nalin Dahyabhai <nalin@redhat.com>
- merge mod_php into the main php package (#22906)

* Fri Dec 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- try to fix a quoting problem

* Wed Dec 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.4 to get a raft of bug fixes
- enable sockets
- enable wddx

* Fri Nov  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in updated environment

* Thu Nov  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- add more commented-out modules to the default config file (#19276)

* Wed Nov  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix not-using-gd problem (#20137)

* Tue Oct 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.3pl1 to get some bug fixes

* Sat Oct 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- build for errata

* Wed Oct 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.3 to get security fixes integrated
- patch around problems configuring without Oracle support
- add TSRM to include path when building individual modules

* Fri Sep  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- enable OpenSSL support

* Wed Sep  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.2, and move the peardir settings to configure (#17171)
- require %%{version}-%%{release} for subpackages
- add db2-devel and db3-devel prereqs (#17168)

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment (new imap-devel)

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary and descriptions to match the specspo package

* Wed Aug  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- hard-code the path to apxs in build_ext() (#15799)

* Tue Aug  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add "." to the include path again, which is the default

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable PEAR and add it to the include path
- add the beginnings of a -devel subpackage

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweaks to post and postun from Bill Peck

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- fixes from Nils for building the MySQL client
- change back to requiring %{version} instead of %{version}-%{release}

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.1pl2
- enable MySQL client
- move the php.ini file to %{_sysconfdir}

* Fri Jun 30 2000 Nils Philippsen <nils@redhat.de>
- build_ext defines HAVE_PGSQL so pgsql.so in fact contains symbols
- post/un scripts tweak php.ini correctly now

* Thu Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 4.0.1
- refresh manual

* Tue Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against new krb5 package

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against new db3 package

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- Fix syntax error in post and preun scripts.
- Disable IMAP, LDAP, PgSql in the standalone version because it picks up
  the extensions.

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- Unexclude the Sparc arch.
- Exclude the ia64 arch until we get a working Postgres build.
- Stop stripping extensions as aggressively.
- Start linking the IMAP module to libpam again.
- Work around extension loading problems.
- Reintroduce file-editing post and preun scripts for the mod_php extensions
  until we come up with a better way to do it.

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- ExcludeArch: sparc for now

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Obsoletes: phpfi, because their content handler names are the same
- add standalone binary, rename module packages to mod_php
- FHS fixes

* Tue May 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- change license from "GPL" to "PHP"
- add URL: tag
- disable mysql support by default (license not specified)

* Mon May 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to PHP 4.0.0
- nuke the -mysql subpackage (php comes with a bundled mysql client lib now)

* Tue May 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- link IMAP module against GSS-API and PAM to get dependencies right
- change most of the Requires to Prereqs, because the post edits config files
- move the PHP *Apache* module back to the right directory
- fix broken postun trigger that broke the post
- change most of the postuns to preuns in case php gets removed before subpkgs

* Thu May 11 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuilt against new postgres libraries

* Tue May 09 2000 Preston Brown <pbrown@redhat.com>
- php3 .so modules moved to /usr/lib/php3 from /usr/lib/apache (was incorrect)

* Mon Apr 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- make subpackages require php = %{version} (bug #10671)

* Thu Apr 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.0.16

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fixed the post script to work when upgrading a package
- add triggere to fix the older packages

* Tue Feb 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.0.15
- add build-time dependency for openldap-devel
- enable db,ftp,shm,sem support to fix bug #9648

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- add dependency for imap subpackage
- rebuild against Apache 1.3.12

* Thu Feb 24 2000 Preston Brown <pbrown@redhat.com>
- don't include old, outdated manual.  package one from the php distribution.

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependency problem

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- added commented out mysql module, thanks to Jason Duerstock 
  (jason@sdi.cluephone.com). Uncomment to build if you have mysql installed.

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- rely on imap-devel, don't include imap in src.rpm (#5099).
- xml enabled (#5393)

* Tue Nov 02 1999 Preston Brown <pborwn@redhat.com>
- added post/postun sections to modify httpd.conf (#5259)
- removed old obsolete faq and gif (#5260)
- updated manual.tar.gz package (#5261)

* Thu Oct 07 1999 Matt Wilson <msw@redhat.com>
- rebuilt for sparc glibc brokenness

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- --with-apxs --> --with-apxs=/usr/sbin/apxs (# 5094)
- ldap support (# 5097)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix cmdtuples for postgresql, I had it slightly wrong

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- subpackages must obsolete old stuff...

* Sun Aug 29 1999 Preston Brown <pbrown@redhat.com>
- added -DHAVE_PGCMDTUPLES for postgresql module (bug # 4767)

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- name change to php to follow real name of package
- fix up references to php3 to refer to php
- upgrade to 3.0.12
- fixed typo in pgsql postun script (bug # 4686)

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.9
- fixed postgresql module and made separate package
- separated manual into separate documentation package

* Mon May 24 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.8, which fixes problems with glibc 2.1.
- took some ideas grom Gomez's RPM.

* Tue May 04 1999 Preston Brown <pbrown@redhat.com>
- hacked in imap support in an ugly way until imap gets an official
  shared library implementation

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.
